#!/usr/local/bin/perl
#
# go through all files in a dir 
# run tidy-file.pl on all html files
# except for ones that end in <filename>-TIDY.html
#

if ($#ARGV > 0) {
    print "usage: perl tidy-dir.pl \n";
    exit;
}


@lines = `ls -l | grep -P .*htm`;

foreach $line (@lines) 
{
    # ignore output files from this process
    if (-1 == index($line, "-TIDY.html"))
    {
        @parts = split(/ /, $line);
        @parts = reverse(@parts);

        system("perl tidy-file.pl $parts[0]");
    }
}

