#!/usr/local/bin/perl
#
# take in an html file 
# strip blank lines
# run it through tidy
# merger the tidy errors with the html file
# output in one file for review
#

if ($#ARGV != 0) {
    print "usage: perl tidy-file.pl <filename>\n";
    exit;
}

$inhtml = $ARGV[0];


system("dog -B --unix --hide-nonprinting $inhtml > $inhtml-no-blanks.html");

system("tidy -f $inhtml-errors.txt -o $inhtml-temp.html -i -u -wrap 500 $inhtml-no-blanks.html");

system("perl merge-tidy-files.pl $inhtml-no-blanks.html $inhtml-errors.txt $inhtml-TIDY.html");

system("rm $inhtml-temp.html");
system("rm $inhtml-no-blanks.html");
system("rm $inhtml-errors.txt");
