#!/usr/local/bin/perl
#
# takes in a config file and produce <filename>-TIDY.html files for each entry
# config.txt format is one filename url pair per line, seperated by one space
# <filename> <FULL-URL>
#

if ($#ARGV != 0) {
    print "usage: perl tidy-script.pl config.txt\n";
    exit;
}

use LWP::Simple;


$config = $ARGV[0];

open(CONF, $config);

while ($line = <CONF>) 
{
    if (index($line, ":") > 0)
    {
	chomp($line);
	@parts = split(/ /, $line); 

	print "---------------------------------------------------------------\nFILE: ";
	print $parts[0];
	print "-TIDY.html\n-----------------\n";

	getstore($parts[1], $parts[0]);

	system("perl tidy-file.pl $parts[0]");

	system("rm $parts[0]");
    }
}

close(CONF);

